JavaScript
import Cerca from '@cerca-dev/sdk';
const client = new Cerca({
apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted
});
await client.webhooks.delete('fleet_abc123', 'webhook_abc123');import os
from cerca import Cerca
client = Cerca(
api_key=os.environ.get("CERCA_API_KEY"), # This is the default and can be omitted
)
client.webhooks.delete(
fleet_id="fleet_abc123",
webhook_id="webhook_abc123",
)package main
import (
"context"
"github.com/matrices/cerca-go"
"github.com/matrices/cerca-go/option"
)
func main() {
client := cercago.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Webhooks.Delete(
context.TODO(),
"fleet_abc123",
"webhook_abc123",
)
if err != nil {
panic(err.Error())
}
}require "cerca"
cerca = Cerca::Client.new(api_key: "My API Key")
result = cerca.webhooks.delete("fleet_abc123", "webhook_abc123")
puts(result)cerca webhooks delete \
--api-key 'My API Key' \
--fleet-id fleet_abc123 \
--webhook-id webhook_abc123curl --request DELETE \
--url https://api.cerca.dev/fleets/{fleetId}/webhooks/{webhookId} \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cerca.dev/fleets/{fleetId}/webhooks/{webhookId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.delete("https://api.cerca.dev/fleets/{fleetId}/webhooks/{webhookId}")
.header("Authorization", "Bearer <token>")
.asString();{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}Webhooks
Delete webhook
DELETE
/
fleets
/
{fleetId}
/
webhooks
/
{webhookId}
JavaScript
import Cerca from '@cerca-dev/sdk';
const client = new Cerca({
apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted
});
await client.webhooks.delete('fleet_abc123', 'webhook_abc123');import os
from cerca import Cerca
client = Cerca(
api_key=os.environ.get("CERCA_API_KEY"), # This is the default and can be omitted
)
client.webhooks.delete(
fleet_id="fleet_abc123",
webhook_id="webhook_abc123",
)package main
import (
"context"
"github.com/matrices/cerca-go"
"github.com/matrices/cerca-go/option"
)
func main() {
client := cercago.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Webhooks.Delete(
context.TODO(),
"fleet_abc123",
"webhook_abc123",
)
if err != nil {
panic(err.Error())
}
}require "cerca"
cerca = Cerca::Client.new(api_key: "My API Key")
result = cerca.webhooks.delete("fleet_abc123", "webhook_abc123")
puts(result)cerca webhooks delete \
--api-key 'My API Key' \
--fleet-id fleet_abc123 \
--webhook-id webhook_abc123Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Minimum string length:
1Example:
"fleet_abc123"
Minimum string length:
1Example:
"webhook_abc123"
Response
Webhook subscription deleted.
⌘I